<div class='border border-primary rounded'
  style='padding: 2px; height:100%; overflow-y: scroll;'>

  <div [formGroup]='colVisGroup' >
    <div formArrayName="columns">
      <div *ngFor="let col of cols">
          <label [ngClass]="col.type==='p'?'ml-2':'ml-4'" >
            <input type="checkbox"
              [formControlName]="col.position"
              (change)="change(col.column_abbr)">
            {{col.column_name}}
          </label>
        </div>
    </div>
  </div>

</div>

<span class='ag-paging-page-summary-panel'>
  <button class='ag-paging-button' style='height:22px;font-size:12px;'
  (click)='apply()'>APPLY</button>
</span>
